Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn More

View all

Sign in to view all badges

rockie-rocafort
Community profile rockie-rocafort Level 1
Job title here
Location here
2 BADGES
Level 1

Level 1

Learn more
Joined the community 18-01-2019 2:24:00 AM
Offline
Top badges earned by rockie-rocafort
Customize the badges you want to showcase on your profile
Customizing AEM UI
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
Hello, I'm currently working on a Java Connector for aem and my project. I'm currently using aem 6.4. I would just like to ask if it's possible to customize aem in such a way that I can add custom filters? For example, in the screen below: Currently, I can only filter them by active projects or inactive. What I wanted to do is to have a filter for a certain primaryType.Like... filtering all projects with a primary type of dam:AssetContent or I wanted my projects to be sorted in a specific manner...

Views

1.1K

Likes

0

Replies

1
Setting a default for Translation Provider Credential
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
Hello! I was just wondering if we can set a default for the Translation Provider Credential in the Translation Project Properties page?I am enhancing a connector which populates the contents of the highlighted area in the above image. I want it to have a default selected depending on the contents of a json file. Although, when I checked on the backend, it just calls a parent class method:super(Maps.newHashMap(), Maps.newHashMap(), name, SERVICE_LABEL, SERVICE_LABEL, TRANSLATION_CLOUD_CONFIG_ROOT...

Views

455

Likes

0

Replies

0
Programmatically arranging contents in aem 6.4
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
Hello everyone. I'm new in working with aem. I'm using aem 6.4. My task is to programmatically sort the order of the contents of a cq:project in aem depending on the content of a json file. The content of the json file should be set as the initial child instead of the children sorted by their creation date.This is the current structure of my cq:page. If the child2 is the one indicated in the json file, it should be the first one to be displayed. The content of the json file is just the name of o...

Views

750

Likes

0

Replies

2
Re: AEM 6.5 release date and beta access for partners?
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
Hello,Any further updates on this? Thank you,Rockie

Views

2.5K

Likes

0

Replies

3
Adobe Experience Manager Repositories Update 6.3 & 6.4
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
I would just like to ask a question regarding repositories and plugin repositories in AEM? I have a project that works perfectly in both AEM 6.3 and 6.4. Although I've updated the pom.xml and added the below snippet for the 6.4 instance. As I've checked, there were no differences with the functionalities, even if I've added the snippet or not. I'm still new to AEM and was a bit confused about the usage of this repository section. Is there anything particularly that I have to check to verify this...

Views

464

Likes

0

Replies

1
Re: exception: org.apache.sling.ide.transport.RepositoryException - javax.jcr.RepositoryException: Bad Request]
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
Hello, I was able to make it work by using Eclipse IDE version 2018-09 M2 (4.9.0M2). I just did a simple import of my projects, Maven update, then clean install. I've tried adding a sample jsp file to my CRXDE and I was able to get it on Eclipse IDE by just selecting import to server. But when I make changes from Eclipse IDE, CRXDE doesn't update even I export it to server. The same error still displays...

Views

773

Likes

0

Replies

0
Re: exception: org.apache.sling.ide.transport.RepositoryException - javax.jcr.RepositoryException: Bad Request]
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
Is it okay to import my projects the same way I explained it to this thread? Import -> Existing Project.. or should I just do the answer in this :maven - How to work with a bundle in eclipse when it was downloaded from AEM - Stack Overflow

Views

753

Likes

0

Replies

0
Re: exception: org.apache.sling.ide.transport.RepositoryException - javax.jcr.RepositoryException: Bad Request]
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
I was able to check the Sling IDE tooling version and it's on 1.0.4 version. How can I change this to 1.0.2 so it will be compatible with my AEM 6.4? Is this the main reason of the error I'm encountering? Furthermore, I was also able to access the Eclipse Marketplace and install a plugin successfully.As per checking with my network team, there's no corporate proxy or laptop's firewall. But I will try to set it up on a different machine and a different network by using a wifi or a vpn. I'll use V...

Views

747

Likes

0

Replies

0
Re: exception: org.apache.sling.ide.transport.RepositoryException - javax.jcr.RepositoryException: Bad Request]
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
AEM developer tool version: 1.2.0Eclipse Version: 2018-12 (4.10.0)Sling IDE tooling version: *how to check this one?AEM Version: 6.4Screenshot of AEM server configurations from eclipse:Error trace when you click on Details button, right next to the OK button:Steps that you performed to import/export the content Since this came from a different team, I was just given a zip file. What I did was just to extract the contents and import it in eclipse using "Existing Maven Projects" option. I've encou...

Views

749

Likes

0

Replies

0
exception: org.apache.sling.ide.transport.RepositoryException - javax.jcr.RepositoryException: Bad Request]
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
Hello. I was able to start a server in my aem instance but when I verified if I update something in eclipse, if it will also be updated in crxde.. I've encountered this error:Any help on how I can resolve this?Thanks,Rockie

Views

1.8K

Likes

0

Replies

9
Re: Project build error: Unresolveable build extension
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
I've managed to do it by including this to the parent pom.xml file: adobe Adobe Public Repository https://repo.adobe.com/nexus/content/groups/public/ default adobe Adobe Public Repository https://repo.adobe.com/nexus/content/groups/public/ default As stated in here: https://github.com/Adobe-Marketing-Cloud/aem-samples/issues/1And then run: mvn -PautoInstallPackage -Padobe-public clean install adobe Adobe Public Repository https://repo.adobe.com/nexus/content/groups/public/ default adobe Ad...

Views

1.3K

Likes

0

Replies

0
Project build error: Unresolveable build extension
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
Hello. I am currently working on a specialized plugin for AEM and with the app that I'm using. I am using AEM 6.4. These are currently the errors I am encountering in my pom.xml:I've tried updating my settings.xml using this: How to set up the Adobe Maven Repository , then running mvn -PautoInstallPackage -Padobe-public clean install on cmd but there's still no luck. I've also tried maven update on the project then selected "Force Update of Snapshots/Releases", although this still doesn't work. ...

Views

1.4K

Likes

0

Replies

1
Re: For artifact {com.adobe.aem:uber-jar:null:jar}: The version cannot be empty.
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
This is the link for the pom.xml files: Dropbox - File sharing - Simplify your life I've also tried deleting the .m2 folder again.. As I checked, the folder for the uber-jar was regenerated. Although it only contains jar files with the '.jar.lastUpdated' extension. The jar file is not actually there. Is it possible to just download an uber-jar.jar and just include it in maven dependencies?Thanks,Rockie

Views

1.2K

Likes

0

Replies

0
Re: For artifact {com.adobe.aem:uber-jar:null:jar}: The version cannot be empty.
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
Apologies, I haven't put in the question the version I was using.. I'm using AEM 6.4. There were actually three profiles, 6.2, 6.3 and 6.4.. Differed only on id and aem port. Is it possible to view the archetype of the existing aem project?

Views

1.2K

Likes

0

Replies

0
For artifact {com.adobe.aem:uber-jar:null:jar}: The version cannot be empty.
Avatar
Validate 1
Level 1
rockie-rocafort
Level 1

Likes

0 likes

Total Posts

15 posts

Correct Reply

1 solution
Top badges earned
Validate 1
Affirm 1
View profile
rockie-rocafort
- Adobe Experience Manager
Hello. I am currently working on a specialized plugin for AEM and with the app that I'm using. It is just an enhancement to a project and there were no documentations from the previous team who did it so I'm currently having trouble configuring the source codes because it has errors on the pom.xml files. It only has 4 projects (main, core, ui.apps and the source code for the specialized plugin.) The error only exist on the core and the ui.apps. I've tried removing the .m2 folder and re-building ...

Views

2.7K

Likes

0

Replies

6
Likes given to